## science.js 1.9.3

=== debian/changelog ===
science.js (1.9.3-1) unstable; urgency=low

  * Initial release (Closes: #843963)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 08 Dec 2016 13:47:08 +0000
