=== debian/control ===
Source: science.js
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Devabhaktuni Bhuvan Krishna <bhuvan@swecha.net>,
 Petter Reinholdtsen <pere@debian.org>,
 Sunil Mohan Adapa <sunil@medhas.org>,
Section: web
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-buildinfo,
 nodejs-legacy,
 node-uglify,
 node-vows,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/science.js.git
Vcs-Git: git://anonscm.debian.org/pkg-javascript/science.js.git
Homepage: https://github.com/jasondavies/science.js/

Package: libjs-sciencejs
Architecture: all
Depends:
 ${misc:Depends},
Description: JavaScript library for scientific and statistical computing
 This library contains two modules. science.stats module contains
 various implementations of statistical methods similar to those
 provided by R. science.lin contains methods for linear algebra.
