=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	make JS_COMPILER=uglifyjs

override_dh_auto_install:
	echo 'Skipping install'

override_dh_auto_test:
	vows test/env-assert.js test/\*/\*-test.js
