=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/sciense.js-$1.tar.gz/ \
https://github.com/jasondavies/science.js/releases \
.*/archive/v?([\d\.]+).tar.gz
