## science.js 1.9.3%2Bdfsg

=== debian/changelog ===
science.js (1.9.3+dfsg-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Petter Reinholdtsen ]
  * Fixed build race condition problem (Closes: #1058552).
  * Updated Standards-Version from 4.6.2 to 4.7.0.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 13 Apr 2024 17:00:11 +0200

science.js (1.9.3+dfsg-3) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.0, no changes needed.
  * Fix debian/watch

 -- Yadd <yadd@debian.org>  Sun, 02 Jan 2022 09:50:31 +0100

science.js (1.9.3+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Use canonical URL in Vcs-Git.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Use dh-sequence-nodejs
  * Replace deprecated no-uglify by uglifyjs (Closes: #979969)

 -- Xavier Guimard <yadd@debian.org>  Tue, 12 Jan 2021 13:10:34 +0100

science.js (1.9.3+dfsg-1) unstable; urgency=medium

  * Team Upload.

  [ Viktar Basharymau ]
  * Fix a typo in kde.js example

  [ Nilesh ]
  * Fix deprecated syntax
  * Drop compat, switch to debhelper-compat
  * Switch to pkg-js-tools
  * Remove deprecated Makefile, generate minified files with uglifyjs

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add patch desc
  * Don't install useless package.json
  * Add debian/clean

 -- Nilesh <npatra974@gmail.com>  Wed, 22 Jan 2020 06:05:52 +0100

science.js (1.9.3-4) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Re-enable tests during build.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 04 Oct 2018 17:57:25 +0000

science.js (1.9.3-3) unstable; urgency=medium

  * Changed to https format url in d/copyright.
  * Changed debhelper compat level from 9 to 10.
  * Changed package section from web to javascript based on suggestion
    from lintian.
  * Use same salsa url for Git and Browser access to keep lintian happy.
  * Use correct email in changelog.
  * Added rule to install examples in /usr/share/doc/.
  * Marked libjs-sciencejs as Multi-Arch foreign, as it contain only
    javascript.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 28 Sep 2018 15:46:02 +0000

science.js (1.9.3-2) unstable; urgency=medium

  * Moved code to salsa.debian.org.
  * Updated Standards-Version from 3.9.8 to 4.2.1.
  * Started using pristine-tar and enforce its use in d/gbp.conf.
  * Disabled self testing during build until bug #909779 in vows is fixed.
  * Replaced nodejs-legacy build dependency with nodejs. (Closes: #876618)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 28 Sep 2018 13:16:36 +0000
