## science.js 1.9.3+dfsg

=== debian/control ===
Source: science.js
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Devabhaktuni Bhuvan Krishna <bhuvan@swecha.net>,
 Petter Reinholdtsen <pere@debian.org>,
 Sunil Mohan Adapa <sunil@medhas.org>,
Section: javascript
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-buildinfo,
 nodejs,
 uglifyjs,
 node-vows,
 dh-sequence-nodejs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/science.js/
Vcs-Git: https://salsa.debian.org/js-team/science.js.git
Homepage: https://github.com/jasondavies/science.js/
Rules-Requires-Root: no

Package: libjs-sciencejs
Architecture: all
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Description: JavaScript library for scientific and statistical computing
 This library contains two modules. science.stats module contains
 various implementations of statistical methods similar to those
 provided by R. science.lin contains methods for linear algebra.
