=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,9 @@
 
 override_dh_auto_build:
 	make JS_COMPILER=uglifyjs
+	for f in lib/d3/*.js; do \
+		uglifyjs $$f -c -m --mangle-props -o `echo $$f | sed 's/js/min.js/'`; \
+	done
 
 override_dh_auto_install:
 	echo 'Skipping install'
-
-override_dh_auto_test:
-	vows test/env-assert.js test/\*/\*-test.js
