=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+@ARCHIVE_EXT@)/sciense.js-$1/ \
https://github.com/jasondavies/science.js/tags .*?([\d\.]+).tar.gz
